Bug 1993575 - Missing documentation: HOWTO recover from a corrupted hosted engine meta data file.
Summary: Missing documentation: HOWTO recover from a corrupted hosted engine meta data...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-hosted-engine-ha
Classification: oVirt
Component: Documentation
Version: 2.4.8
Hardware: Unspecified
OS: Unspecified
high
medium vote
Target Milestone: ovirt-4.4.9
: ---
Assignee: Steve Goodman
QA Contact: meital avital
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-14 05:53 UTC by Gilboa Davara
Modified: 2021-10-03 13:52 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-03 13:52:16 UTC
oVirt Team: Integration
pm-rhel: ovirt-4.4+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker RHV-43030 0 None None None 2021-08-14 05:54:37 UTC
Red Hat Knowledge Base (Solution) 6368741 0 None None None 2021-09-28 13:28:43 UTC

Description Gilboa Davara 2021-08-14 05:53:45 UTC
Description of problem:

Long story short (1).
Single host self hosted engine test setup.
One of the drives in a RAID6 died, somehow taking the host off-line.
Replaced the drive, restarted the host, broker and agent refused to start due to corrupted meta data file.
With the help of Yedidyah Bar David I managed to clear the meta data file (2) and return the host to normal.

(1) Full mailing list thread:
https://lists.ovirt.org/archives/list/users@ovirt.org/thread/LG5WEGGIDJIZSRCHSZLY2UUSVFBW6GTN/
(2) Undocumented solution:
https://lists.ovirt.org/pipermail/users/2016-April/072676.html

Comment 2 RHEL Program Management 2021-08-19 07:31:03 UTC
The documentation text flag should only be set after 'doc text' field is provided. Please provide the documentation text and set the flag to '?' again.

Comment 3 Steve Goodman 2021-09-02 15:13:43 UTC
Sandro,

Please give this a priority. Right now it's has no priority/severity set and the PM score is 0.

Comment 5 Marina Kalinin 2021-09-13 20:33:38 UTC
Hi Gilboa and Didi,

I looked into the manual HE metadata cleanup and I am wondering if it is not a better option to use the existing hosted-engine --clean-metadata verb?

~~~
# hosted-engine --clean_metadata --host-id=52 
~~~

Also, are you truly having 52 hosts to support your single HE VM? I hope not. It is not recommended to use more than few hosts that can provide High Availability for your Hosted Engine VM. It is unnecessary complication of things.

Comment 6 Marina Kalinin 2021-09-13 20:39:15 UTC
Ok, I see now this newer thread: https://lists.ovirt.org/archives/list/users@ovirt.org/message/DXPXGU4FKWJOJZJM7CKAB7ZJZFR7NJZE/.

Comment 8 Gilboa Davara 2021-09-17 12:54:54 UTC
As you can see (in the ML thread) --clean_metadata failed. I had to manually clean the meta-data file.

- Gilboa

Comment 9 Marina Kalinin 2021-09-17 21:00:47 UTC
Thanks, yeah, I read that later.


Note You need to log in before you can comment on or make changes to this bug.